### Method

# GObject Object set_valist

#### Declaration [src]

    void
    g_object_set_valist (
      GObject* object,
      const gchar* first_property_name,
      va_list var_args
    )

#### Description [src]

Sets properties on an object.

This method is not directly available to language bindings.

#### Parameters

`first_property_name`

  Type: `const gchar*`

  Name of the first property to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`var_args`

  Type: `va_list`

  Value for the first property, followed optionally by more name/value pairs, followed by `NULL`.